package opc.ua.services.common;

import opc.ua.addressspace.datatype.LocalizedText;
import opc.ua.addressspace.datatype.NodeId;

public class VariableAttributes {

	private long specifiedAttributes;
	private LocalizedText displayName;
	private LocalizedText description;
	private Object value;
	private NodeId dataType;
	private int valueRank;
	private long[] arrayDimensions;
	private byte accessLevel;
	private byte userAccessLevel;
	/** Duration */
	private long minimumSamplingInterval;
	private boolean historizing;
	private long writeMask;
	private long userWriteMask;
	
	
	public long getSpecifiedAttributes() {
		return specifiedAttributes;
	}
	public void setSpecifiedAttributes(long specifiedAttributes) {
		this.specifiedAttributes = specifiedAttributes;
	}
	public LocalizedText getDisplayName() {
		return displayName;
	}
	public void setDisplayName(LocalizedText displayName) {
		this.displayName = displayName;
	}
	public LocalizedText getDescription() {
		return description;
	}
	public void setDescription(LocalizedText description) {
		this.description = description;
	}
	public Object getValue() {
		return value;
	}
	public void setValue(Object value) {
		this.value = value;
	}
	public NodeId getDataType() {
		return dataType;
	}
	public void setDataType(NodeId dataType) {
		this.dataType = dataType;
	}
	public int getValueRank() {
		return valueRank;
	}
	public void setValueRank(int valueRank) {
		this.valueRank = valueRank;
	}
	public long[] getArrayDimensions() {
		return arrayDimensions;
	}
	public void setArrayDimensions(long[] arrayDimensions) {
		this.arrayDimensions = arrayDimensions;
	}
	public byte getAccessLevel() {
		return accessLevel;
	}
	public void setAccessLevel(byte accessLevel) {
		this.accessLevel = accessLevel;
	}
	public byte getUserAccessLevel() {
		return userAccessLevel;
	}
	public void setUserAccessLevel(byte userAccessLevel) {
		this.userAccessLevel = userAccessLevel;
	}
	public long getMinimumSamplingInterval() {
		return minimumSamplingInterval;
	}
	public void setMinimumSamplingInterval(long minimumSamplingInterval) {
		this.minimumSamplingInterval = minimumSamplingInterval;
	}
	public boolean isHistorizing() {
		return historizing;
	}
	public void setHistorizing(boolean historizing) {
		this.historizing = historizing;
	}
	public long getWriteMask() {
		return writeMask;
	}
	public void setWriteMask(long writeMask) {
		this.writeMask = writeMask;
	}
	public long getUserWriteMask() {
		return userWriteMask;
	}
	public void setUserWriteMask(long userWriteMask) {
		this.userWriteMask = userWriteMask;
	}
}
